## com.ibatis.jpetstore.domain
Class CartItem

    java.lang.Object
      com.ibatis.jpetstore.domain.CartItem

All Implemented Interfaces:
  Serializable

public class CartItem
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private boolean` `inStock`
`private Item` `item`
`private int` `quantity`
`private BigDecimal` `total`

Constructor Summary
`CartItem()`

Method Summary
`private void` `calculateTotal()`
`Item` `getItem()`
`int` `getQuantity()`
`BigDecimal` `getTotal()`
`void` `incrementQuantity()`
`boolean` `isInStock()`
`void` `setInStock(boolean inStock)`
`void` `setItem(Item item)`
`void` `setQuantity(int quantity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### item

    private Item item

### quantity

    private int quantity

### inStock

    private boolean inStock

### total

    private BigDecimal total

Constructor Detail

### CartItem

    public CartItem()

Method Detail

### isInStock

    public boolean isInStock()

### setInStock

    public void setInStock(boolean inStock)

### getTotal

    public BigDecimal getTotal()

### getItem

    public Item getItem()

### setItem

    public void setItem(Item item)

### getQuantity

    public int getQuantity()

### setQuantity

    public void setQuantity(int quantity)

### incrementQuantity

    public void incrementQuantity()

### calculateTotal

    private void calculateTotal()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.